<?php
/** JIRA Issue List Script
*
* Simple script to generate an simple HTML listing of JIRA Issues from a Private JIRA Instance
* Intended use is to allow indexing of JIRA issues by internal search engines such as Sphider (http://www.sphider.eu/)
*
* Documentation: http://www.bentasker.co.uk/documentation/development-programming/273-allowing-your-internal-search-engine-to-index-jira-issues
*
* @copyright (C) 2014 B Tasker (http://www.bentasker.co.uk). All rights reserved
* @license GNU GPL V2 - See LICENSE
*
* @version 1.2
*
*/

defined('listpage') or die;
global $config;

// Define anything you want to add to <head>
?>

<link rel="dns-prefetch" href="https://static1.bentasker.co.uk">
<link rel="dns-prefetch" href="https://videos.bentasker.co.uk">
<link rel="stylesheet" type="text/css" href="/static/core.css"/>
<link rel="stylesheet" type="text/css" href="/static/styling.css" />
<link rel="stylesheet" type="text/css" href="/static/tablefilter/style/tablefilter.css" />
<link rel="stylesheet" type="text/css" href="/static/highlightjs/default.min.css" />

<?php
if (count($config->include_head['stylesheets']) > 0):
    foreach($config->include_head['stylesheets'] as $s):
        echo "<link type='text/css' rel='stylesheet' href='$s'></script>\n";
    endforeach;
endif;
?>

<script type="text/javascript" src="/static/tablefilter/tablefilter.js" ></script>
<script type="text/javascript" src="/static/core.js" ></script>
<script type="text/javascript" src="/static/highlightjs/highlight.min.js" ></script>

<?php
if (count($config->include_head['scripts']) > 0):
    foreach($config->include_head['scripts'] as $s):
        echo "<script type='text/javascript' src='$s'></script>\n";
    endforeach;
endif;
?>


<link rel="apple-touch-icon" sizes="57x57" href="https://static1.bentasker.co.uk/images/favicons/apple-touch-icon-57x57.png">
<link rel="apple-touch-icon" sizes="60x60" href="https://static1.bentasker.co.uk/images/favicons/apple-touch-icon-60x60.png">
<link rel="apple-touch-icon" sizes="72x72" href="https://static1.bentasker.co.uk/images/favicons/apple-touch-icon-72x72.png">
<link rel="apple-touch-icon" sizes="76x76" href="https://static1.bentasker.co.uk/images/favicons/apple-touch-icon-76x76.png">
<link rel="apple-touch-icon" sizes="114x114" href="https://static1.bentasker.co.uk/images/favicons/apple-touch-icon-114x114.png">
<link rel="apple-touch-icon" sizes="120x120" href="https://static1.bentasker.co.uk/images/favicons/apple-touch-icon-120x120.png">
<link rel="apple-touch-icon" sizes="144x144" href="https://static1.bentasker.co.uk/images/favicons/apple-touch-icon-144x144.png">
<link rel="apple-touch-icon" sizes="152x152" href="https://static1.bentasker.co.uk/images/favicons/apple-touch-icon-152x152.png">
<link rel="apple-touch-icon" sizes="180x180" href="https://static1.bentasker.co.uk/images/favicons/apple-touch-icon-180x180.png">
<link rel="icon" type="image/png" href="https://static1.bentasker.co.uk/images/favicons/favicon-32x32.png" sizes="32x32">
<link rel="icon" type="image/png" href="https://static1.bentasker.co.uk/images/favicons/favicon-96x96.png" sizes="96x96">
<link rel="icon" type="image/png" href="https://static1.bentasker.co.uk/images/favicons/favicon-16x16.png" sizes="16x16">

<link rel="manifest" href="/manifest.json">
<link rel="mask-icon" href="https://static1.bentasker.co.uk/images/favicons/safari-pinned-tab.svg" color="#5bbad5">
<meta name="msapplication-TileColor" content="#2b5797">
<meta name="msapplication-TileImage" content="https://static1.bentasker.co.uk/images/favicons/mstile-144x144.png">
<meta name="theme-color" content="#ffffff">
<meta name="generator" content="GILS <?php echo GILS_VERSION; ?>">
