<?php 

require_once 'lib/gitlab.php';



class GILSRouter {

    function route($uri){
        $gitlabapi = new GILSGitlab();
        
        // Translate to a route array
        $ra = GILSUtils::sef2qs($uri);
        
        $template_vars = GILSUtils::getTemplateConfig();
        
        switch ($ra['section']){
            case '404':
                http_response_code(404);
                echo "Not found";
                die;            
                break;
        
            case 'avatars':
                $gitlabapi->getImage("/uploads/-/system/project/avatar/" . $ra['path']);
                break;
        
            case 'commits':
            
                if ($ra['commit'] == "list"){
                    $commit = $gitlabapi->getCommits($ra['subsection']);
                    require "templates/html/commit-list.php";            
                }else{
                    $commit = $gitlabapi->getCommit($ra['subsection'], $ra['commit']);
                    require "templates/html/commit.php";
                }
                break;
            
            case 'containers':
                    $containers = $gitlabapi->getContainers($ra['subsection']);
                    require "templates/html/container-list.php";
                break;
            
            case 'css':
                $gitlabapi->genCSS($ra['subsection'], "labels");
                break;
                
            case "labeltimeline":
                    $issues = $gitlabapi->getIssuesForLabel($ra['subsection'], $ra['label']);
                    require "templates/html/label-timeline.php";
                    break;
                
                
            case "milestone":
                $milestone = $gitlabapi->getMileStone($ra['subsection'], $ra['milestone']);
                require "templates/html/milestone.php";
                break;

            case "projects":
                $projects = $gitlabapi->getProjectList();
                require "templates/html/project-list.php";
                break;
                
            case "project":  
                $project = $gitlabapi->getProjectAndIssues($ra['subsection']);
                require "templates/html/project-index.php";
                break;
                
            case "release":
                $release = $gitlabapi->getRelease($ra['subsection'], $ra['release']);
                require "templates/html/release.php";
                break;
                
            case "snapshot":
                $gitlabapi->getSnapShot($ra['snapshot']);
                break;
            
            case "status":
                echo "SUCCESS";
                die;
                
            case "issue":
                if ($ra['issid']){           
                        $issue = $gitlabapi->getIssueAndComments($ra['subsection'], $ra['issid']);
                        //print_r($issue);
                        require "templates/html/issue_page.php";
                    }else{
                        $gitlabapi->getImage("/" . $ra['subsection'] . "/" . $ra['img_path']);
                    }
                break;
                
            case 'system_avatars':
                $gitlabapi->getImage("/" . $ra['path'] . "/-/avatar");
                break;

            case "wiki":
                if (!$ra['page'] && $ra['action'] != "list" ){
                    $gitlabapi->getImage("/" . $ra['subsection'] . "/-/wikis/" . $ra['img_path']);
                    break;
                }
                if ($ra['action'] == "list"){
                    $pages = $gitlabapi->getProjectWikiPages($ra['subsection']);
                    require "templates/html/wiki-index.php";
                }else{
                    $page = $gitlabapi->getWikiPage($ra['subsection'], $ra['page']);
                    require "templates/html/wiki-page.php";
                }
                break;
        }
        
    
    }


}
