<?php
/** Gitlab Issue List Script
*
* Simple script to generate an simple HTML listing of Gitlab Issues from a Private Gitlab Instance
*
* @copyright (C) 2021 B Tasker (http://www.bentasker.co.uk). All rights reserved
* @license GNU GPL V3 - See LICENSE
*
* @version 1.2
*
*/

defined('listpage') or die;
?>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Containers: <?php echo htmlspecialchars($containers['project']->name_with_namespace); ?></title>

<?php require 'head-includes.php'; ?>
</head>
<body itemscope itemtype="http://schema.org/CollectionPage">


<!--sphider_noindex-->

<hr />
<?php if ($containers['project']->avatar_url): ?>
<img 
    class='projavatar-small' src='<?php echo GILSUtils::getAvatarUrl($containers['project']->avatar_url); ?>' 
    alt="project <?php echo htmlspecialchars($containers['project']->name_with_namespace); ?> avatar"
    >
<?php endif; ?>
<h1 itemprop='name'>Containers: <?php echo htmlspecialchars($containers['project']->name_with_namespace); ?></h1>
<hr />
<ul itemprop="breadcrumb" class="breadcrumbs">
        <li><a href="/index.html">Projects</a></li>
        <li><a href="<?php echo GILSUtils::qs2sef("proj={$containers['project']->path_with_namespace}");?>"><?php echo htmlspecialchars($containers['project']->name_with_namespace);?></a></li>
        <li><a href="<?php //echo GILSUtils::qs2sef("commitproj={$containers['project']->path_with_namespace}&commit=list");?>">Containers</a></li>
</ul>

<hr />

<div class='commitlist'>

<?php foreach($containers['containers'] as $container): ?>

    <div class="contname">Container: <span class="contloc"><?php echo $container->location; ?></span></div>
    <div class="contcreate">Created: <?php echo $container->created_at; ?></div>

    <h3>Tags</h3>
    <?php foreach($container->tags as $tag): ?>
        <div class="controw">
            <div class="tagtitle"><?php echo htmlspecialchars($tag->name); ?></div>
            <div class="contloc"><?php echo htmlspecialchars($tag->location); ?></div>
            </div>        
        </div>
    <?php endforeach; ?>

<?php endforeach; ?>

    
    
</div>


<hr />



<br />

<!--/sphider_noindex-->

</body>
</html>


