<?php
/** JIRA Issue List Script
*
* Simple script to generate an simple HTML listing of JIRA Issues from a Private JIRA Instance
* Intended use is to allow indexing of JIRA issues by internal search engines such as Sphider (http://www.sphider.eu/)
*
* Documentation: http://www.bentasker.co.uk/documentation/development-programming/273-allowing-your-internal-search-engine-to-index-jira-issues
*
* @copyright (C) 2014 B Tasker (http://www.bentasker.co.uk). All rights reserved
* @license GNU GPL V2 - See LICENSE
*
* @version 1.2
*
*/

if (!isset($tblid) || $tblid == 1){
	$tblid='1';
}
?>

<div id='addIssueTop' class='jsAddition'></div>

<table class="issuelistingtable sortable" id="issuelistingtbl<?php echo $tblid;?>">
<tr>
	<th>Key</th><th>Title</th><th>Status</th><th class='issCreated'>Created</th>
</tr>


<?php foreach ($issues as $issue):?>
    <?php
    
        $isstime = strtotime($issue['created']);
    ?>
	<tr itemscope itemtype="http://schema.org/WebPage">
       <td class='issKey'><a itemprop="url name" href='<?php echo GILSUtils::qs2sef("issue={$issue['gitlab_reference']}");?>'><?php echo "{$issue['short_reference']}"; ?></a></td>
	   <td class='issSummary' itemprop="description">
            <?php 
            
            echo htmlspecialchars($issue['title']);
            
            if (isset($labels) && isset($issue['labels']) && count($issue['labels']) > 0){
                echo "<br />";
                $proj_path = explode("#", $issue['gitlab_reference'])[0];
                
                foreach($issue['labels'] as $label):
                    $key = "label-$label";
                    
                    
                    ?>
                 
                <a href="<?php echo GILSUtils::qs2sef("label={$labels[$key]['id']}&projpath={$proj_path}"); ?>">

                    <span 
                       class="label labelid-<?php echo htmlspecialchars($labels[$key]['id']);?>"
                       title="<?php echo htmlspecialchars($labels[$key]['description']); ?>">
                        <?php echo htmlspecialchars($label); ?>
                      </span>
                    </a>
                
            <?php endforeach;    
            }
            ?>
	   
	   </td>
	   <td class='issStatus'><span class="status<?php echo $issue['state']?>"><?php echo $issue['state']; ?></span></td>
	   <td class='issCreated' sorttable_custom_key="<?php echo $isstime ?>" itemprop="dateCreated"><?php echo date("d M y",$isstime); ?></td>
	</tr>

<?php endforeach; ?>
</table>

<div id='addIssueBottom' class='jsAddition'></div>
<script type="text/javascript">
      var tf = new TableFilter('issuelistingtbl<?php echo $tblid;?>', {
          base_path: '/static/tablefilter/',
          auto_filter: "true",
          col_0: "select",
          col_2: "select",
          col_3: "select",
          paging: true,
          paging_length: 20 
      });

      tf.init();
</script>

