<?php
/** Gitlab Issue List Script
*
* Simple script to generate an simple HTML listing of Gitlab Issues using the public API
*
*
* @copyright (C) 2021 B Tasker (http://www.bentasker.co.uk). All rights reserved
* @license GNU GPL V3 - See LICENSE
*
* @version 0.1
*
*/

defined('listpage') or die;
?>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="alternate" type="application/json" href="index.json">
<title>Available Projects</title>
<?php require 'head-includes.php'; ?>
</head>
<body class="homepage">
<!--sphider_noindex-->
<hr />
	<div id='logoarea'></div>
	<h1>Projects</h1>
<hr />


<ul itemprop="breadcrumb" class="breadcrumbs">
      <li><a href="index.html">Projects</a></li>
</ul>
<hr />

<p>The following projects are available for browsing</p>

<table class="prjtbl sortable" id="prjtbl">
  <tr>
    <th>&nbsp;</th>
    <th>Name</th>
    <th>Group</th>
  </tr>

  <?php foreach ($projects as $project): ?>
    <tr>
    <?php // JILS-50
    
    // TODO
    $ava = GILSUtils::getAvatarUrl($project['avatar']);
    $avatar_anchor ='';
    if($ava != ''){
        $avatar_anchor = "<img class='projavatar-projlist' src='{$ava}' />";
    }
    ?>
    <td class="prjicon"><?php echo $avatar_anchor; ?></td>
	<td class="prjname"><a href="<?php echo GILSUtils::qs2sef("proj={$project['project_key']}"); ?>"><?php echo $project['name']; ?></a></td>
	<td><?php if ($project['group']) { echo $project['group']; }?></td>
    </tr>
  <?php endforeach; ?>

</table>

<script type="text/javascript">
      var tf = new TableFilter('prjtbl', {
          base_path: '/static/tablefilter/',
          auto_filter: "true",
          col_0: "none",
          col_2: "select",
          paging: false
      });

      tf.init();
</script>



<!--/sphider_noindex-->
</body>
</html>
